curl --request PUT \
--url https://{tenantDomain}.conductor.one/api/v1/user-attribute-mappings/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attributeType": {
"id": "<string>",
"app": {
"appId": "<string>"
},
"appUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>"
},
"celExpression": {
"celExpression": "<string>",
"userProfileAttributeKey": "<string>"
},
"customAppUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userProfileAttributeKey": "<string>"
},
"displayName": "<string>"
},
"expandMask": {
"paths": [
"<string>"
]
},
"fallbacks": [
{
"app": {
"appId": "<string>"
},
"appUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>"
},
"celExpression": {
"celExpression": "<string>",
"userProfileAttributeKey": "<string>"
}
}
],
"profileTypeIds": [
"<string>"
],
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/user-attribute-mappings/{id}"
payload = {
"attributeType": {
"id": "<string>",
"app": { "appId": "<string>" },
"appUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>"
},
"celExpression": {
"celExpression": "<string>",
"userProfileAttributeKey": "<string>"
},
"customAppUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userProfileAttributeKey": "<string>"
},
"displayName": "<string>"
},
"expandMask": { "paths": ["<string>"] },
"fallbacks": [
{
"app": { "appId": "<string>" },
"appUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>"
},
"celExpression": {
"celExpression": "<string>",
"userProfileAttributeKey": "<string>"
}
}
],
"profileTypeIds": ["<string>"],
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributeType: {
id: '<string>',
app: {appId: '<string>'},
appUserProfile: {appId: '<string>', appUserProfileAttributeKey: '<string>'},
celExpression: {celExpression: '<string>', userProfileAttributeKey: '<string>'},
customAppUserProfile: {
appId: '<string>',
appUserProfileAttributeKey: '<string>',
userProfileAttributeKey: '<string>'
},
displayName: '<string>'
},
expandMask: {paths: ['<string>']},
fallbacks: [
{
app: {appId: '<string>'},
appUserProfile: {appId: '<string>', appUserProfileAttributeKey: '<string>'},
celExpression: {celExpression: '<string>', userProfileAttributeKey: '<string>'}
}
],
profileTypeIds: ['<string>'],
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/user-attribute-mappings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attribute": {
"appPath": "<string>",
"fallbacksPath": "<string>",
"userAttributeMapping": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>",
"attributeType": {
"id": "<string>",
"app": {
"appId": "<string>"
},
"appUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>"
},
"celExpression": {
"celExpression": "<string>",
"userProfileAttributeKey": "<string>"
},
"customAppUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userProfileAttributeKey": "<string>"
},
"displayName": "<string>"
},
"count": 123,
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"evaluationErrorCount": 123,
"fallbacks": [
{
"app": {
"appId": "<string>"
},
"appUserProfile": {
"appId": "<string>",
"appUserProfileAttributeKey": "<string>"
},
"celExpression": {
"celExpression": "<string>",
"userProfileAttributeKey": "<string>"
}
}
],
"id": "<string>",
"priority": 123,
"profileTypeIds": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"expanded": [
{
"@type": "<string>"
}
]
}Update
Update a user attribute mapping by its mapping ID. The display name and app user profile attribute key are derived from attribute_type. Profile type bindings are updated only when update_mask contains profile_type_ids.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Body
The UserAttributeManagementServiceUpdateRequest message.
The UserAttributeType message.
This message contains a oneof named config. Only a single field of the following list may be set at a time:
- app
- appUserProfile
- customAppUserProfile
- celExpression
Show child attributes
Show child attributes
The UserAttributeMapConfigExpandMask message.
Show child attributes
Show child attributes
The fallbacks field.
Show child attributes
Show child attributes
The profileTypeIds field.
Was this page helpful?